Bug 1118830 - Review Request: puppet-firewalld - A Puppet module for FirewallD
Summary: Review Request: puppet-firewalld - A Puppet module for FirewallD
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: pstodulk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Trivial
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 15:53 UTC by Jiri Popelka
Modified: 2015-08-18 09:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-18 09:05:00 UTC
pstodulk: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jiri Popelka 2014-07-11 15:53:43 UTC
Spec URL: http://jpopelka.fedorapeople.org/puppet-firewalld.spec
SRPM URL: http://jpopelka.fedorapeople.org/puppet-firewalld-0.1-1.fc20.src.rpm
Description: A Puppet module used for installing, configuring and managing FirewallD.
Fedora Account System Username: jpopelka

Comment 1 Jiri Popelka 2014-07-11 16:02:10 UTC
Marking as Trivial per
https://fedoraproject.org/wiki/Package_Review_Process#The_Whiteboard

There are already some builds on copr:
https://copr.fedoraproject.org/coprs/jpopelka/puppet-firewalld/builds/

Comment 2 Jiri Popelka 2014-07-14 11:01:30 UTC
Release with updated metadata:

Spec URL: http://jpopelka.fedorapeople.org/puppet-firewalld.spec
SRPM URL: http://jpopelka.fedorapeople.org/puppet-firewalld-0.1.1-1.fc20.src.rpm

Comment 4 pstodulk 2014-07-16 14:03:19 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: puppet-firewalld-0.1.1-2.fc19.noarch.rpm
          puppet-firewalld-0.1.1-2.fc19.src.rpm
puppet-firewalld.src: W: no-%build-section
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint puppet-firewalld
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
puppet-firewalld (rpmlib, GLIBC filtered):
    puppet



Provides
--------
puppet-firewalld:
    puppet-firewalld



Source checksums
----------------
https://github.com/jpopelka/puppet-firewalld/archive/v0.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 67bbbad42d134b8166cbf3cc4eeef53771ae50cd287895ac7468759ea7bb79d0
  CHECKSUM(SHA256) upstream package : 67bbbad42d134b8166cbf3cc4eeef53771ae50cd287895ac7468759ea7bb79d0


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1118830
Buildroot used: fedora-19-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Jiri Popelka 2014-07-16 14:09:52 UTC
New Package SCM Request
=======================
Package Name: puppet-firewalld
Short Description: A Puppet module for FirewallD
Upstream URL: https://github.com/jpopelka/puppet-firewalld
Owners: jpopelka
Branches: f20 f21 epel7

Comment 6 Gwyn Ciesla 2014-07-16 14:18:44 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.